Index: code/trunk/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/trunk/src/modules/overlays/GUIOverlay.cc	(revision 8738)
+++ code/trunk/src/modules/overlays/GUIOverlay.cc	(revision 8858)
@@ -76,10 +76,10 @@
             GUIManager::getInstance().showGUIExtra(this->guiName_, str);
 
-            COUT(4) << "Showing GUI " << this->guiName_ << std::endl;
+            orxout(verbose, context::misc::gui) << "Showing GUI " << this->guiName_ << endl;
         }
         else
         {
             GUIManager::hideGUI(this->guiName_);
-            COUT(4) << "Hiding GUI " << this->guiName_ << std::endl;
+            orxout(verbose, context::misc::gui) << "Hiding GUI " << this->guiName_ << endl;
         }
     }
Index: code/trunk/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/ChatOverlay.cc	(revision 8738)
+++ code/trunk/src/modules/overlays/hud/ChatOverlay.cc	(revision 8858)
@@ -67,25 +67,7 @@
     }
 
-    void ChatOverlay::incomingChat(const std::string& message, unsigned int senderID)
+    void ChatOverlay::incomingChat(const std::string& message, const std::string& /*name*/)
     {
-        std::string text;
-
-        if (senderID != NETWORK_PEER_ID_UNKNOWN)
-        {
-            std::string name = "unknown";
-
-            PlayerInfo* player = PlayerManager::getInstance().getClient(senderID);
-            if (player)
-                name = player->getName();
-
-            text = name + ": " + message;
-        }
-        else
-        {
-            text = message;
-        }
-
-        this->messages_.push_back(multi_cast<Ogre::DisplayString>(text));
-        COUT(0) << "Chat: " << text << std::endl;
+        this->messages_.push_back(multi_cast<Ogre::DisplayString>(message));
 
         Timer* timer = new Timer();
@@ -110,5 +92,5 @@
         this->text_->setCaption("");
 
-        for (std::list<Ogre::DisplayString>::reverse_iterator it = this->messages_.rbegin(); it != this->messages_.rend(); ++it)
+        for (std::list<Ogre::DisplayString>::iterator it = this->messages_.begin(); it != this->messages_.end(); ++it)
         {
             this->text_->setCaption(this->text_->getCaption() + "\n" + (*it));
Index: code/trunk/src/modules/overlays/hud/ChatOverlay.h
===================================================================
--- code/trunk/src/modules/overlays/hud/ChatOverlay.h	(revision 8738)
+++ code/trunk/src/modules/overlays/hud/ChatOverlay.h	(revision 8858)
@@ -35,5 +35,5 @@
 #include <OgreOverlayElement.h>
 
-#include "network/ChatListener.h"
+#include "chat/ChatListener.h"
 #include "overlays/OverlayText.h"
 
@@ -49,5 +49,5 @@
 
         protected:
-            virtual void incomingChat(const std::string& message, unsigned int senderID);
+            virtual void incomingChat(const std::string& message, const std::string& name);
 
             std::list<Ogre::DisplayString> messages_;
Index: code/trunk/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 8738)
+++ code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 8858)
@@ -105,5 +105,5 @@
     if ( fontPtr.isNull() )
     {
-        COUT ( 2 ) << "Warning: HUDNavigation: Font '" << font << "' not found" << std::endl;
+        orxout(internal_warning) << "HUDNavigation: Font '" << font << "' not found" << endl;
         return;
     }
@@ -125,5 +125,5 @@
     if ( size <= 0.0f )
     {
-        COUT ( 2 ) << "Warning: HUDNavigation: Negative font size not allowed" << std::endl;
+        orxout(internal_warning) << "HUDNavigation: Negative font size not allowed" << endl;
         return;
     }
Index: code/trunk/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDRadar.cc	(revision 8738)
+++ code/trunk/src/modules/overlays/hud/HUDRadar.cc	(revision 8858)
@@ -160,5 +160,5 @@
             if( !wePointer )
             {
-                CCOUT(0) << "Cannot display a non-WorldEntitiy on the radar" << std::endl;
+                orxout(internal_error) << "Cannot display a non-WorldEntitiy on the radar" << endl;
                 assert(0);
             }
